//
//  WLJSysAddressBookHander.h
//  AddressBookTest
//
//  Created by WLJ on 16/4/26.
//  Copyright © 2016年 WLJ. All rights reserved.
//

#import <Foundation/Foundation.h>
@interface Phone : NSObject
@property (nonatomic,copy)NSString *HomeLabel ;
@property (nonatomic,copy)NSString *MobileLabel ;
@property (nonatomic,copy)NSString *WorkLabel ;
@property (nonatomic,copy)NSString *IPhoneLabel ;
@property (nonatomic,copy)NSString *MainLabel ;
@property (nonatomic,copy)NSString *HomeFAXLabel;
@property (nonatomic,copy)NSString *WorkFAXLabel ;
@property (nonatomic,copy)NSString *OtherFAXLabel ;
@property (nonatomic,copy)NSString *PagerLabel ;
-(instancetype)init;
@end

@interface PeopleModel : NSObject
@property (nonatomic,copy) NSString *FirstName;
@property (nonatomic,copy) NSString *LastName;
@property (nonatomic,copy) NSString *MiddleName;
@property (nonatomic,copy) NSString *Organization;
@property (nonatomic,copy) NSString *Department;
@property (nonatomic,copy) NSString *JobTitle;
@property (nonatomic,copy) NSDate *Birthday;

@property(nonatomic,strong)Phone * phone;
-(instancetype)init;
@end
@interface WLJSysAddressBookHander : NSObject
+ (instancetype)sharedHelper;

/**
 *  从系统通讯录选择一个联系人生成对象
 */
@property(nonatomic,copy)void(^didSeletedPeople)(PeopleModel*people);

/**
 *  对象保存到系统通讯录
 *
 *  @param peopleModel   要保存的联系人对象
 *  @param completHander 处理结果回调  
 *   state YES/NO 成功/失败
 */
-(void)SavePeople:(PeopleModel*)peopleModel CompletHander:(void(^)(BOOL state))completHander;
@end
