//
//  ViewController.m
//  AddressBookTest
//
//  Created by WLJ on 16/4/26.
//  Copyright © 2016年 WLJ. All rights reserved.
//

#import "ViewController.h"
#import "WLJSysAddressBookHander.h"

@interface ViewController ()

@end

@implementation ViewController
{
    __block UITextView * _textView;
}
- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    UIButton * button =  [UIButton buttonWithType:UIButtonTypeSystem];
    button.bounds = CGRectMake(0, 0, 80, 40);
    button.center = CGPointMake([[UIScreen mainScreen] bounds].size.width*0.35, 40);
    button.backgroundColor =  [UIColor blueColor];
    [button setTitle:@"选择联系人" forState:UIControlStateNormal];
    [button setTintColor:[UIColor whiteColor]];
    [self.view addSubview:button];
    [button addTarget:self action:@selector(GetFromAddressBook) forControlEvents:UIControlEventTouchUpInside];
    
    UIButton * button1 =  [UIButton buttonWithType:UIButtonTypeSystem];
    button1.bounds = CGRectMake(0, 0, 80, 40);
    button1.center = CGPointMake([[UIScreen mainScreen] bounds].size.width*0.65, 40);
    button1.backgroundColor =  [UIColor greenColor];
    [button1 setTitle:@"保存联系人" forState:UIControlStateNormal];
    [button1 setTintColor:[UIColor whiteColor]];
    [self.view addSubview:button1];
    [button1 addTarget:self action:@selector(SaveToAddressBook) forControlEvents:UIControlEventTouchUpInside];
    
    _textView = [[UITextView alloc]init];
    _textView.layer.borderColor  = [UIColor redColor].CGColor;
    _textView.layer.borderWidth = 2;
    _textView.layer.cornerRadius = 5;
    _textView.bounds = CGRectMake(0, 0, 300, 400);
    _textView.center = CGPointMake([[UIScreen mainScreen] bounds].size.width*0.5, [[UIScreen mainScreen] bounds].size.height*0.5);
    [self.view addSubview:_textView];
}

//从系统通讯录选择一个联系人生成对象
-(void)GetFromAddressBook
{
    [[WLJSysAddressBookHander sharedHelper] setDidSeletedPeople:^(PeopleModel * people) {
        
        NSString * peopleText  = [NSString stringWithFormat:@"FirstName:%@\nLastName:%@\nMiddleName:%@\nOrganization:%@\nDepartment:%@\nJobTitle:%@\nBirthday:%@\nphone.HomeLabel:%@\nphone.WorkLabel:%@\nphone.MainLabel:%@\nphone.IPhoneLabel:%@\nphone.HomeFAXLabel:%@\nphone.HomeFAXLabel:%@\nphone.WorkFAXLabel:%@\nphone.PagerLabel:%@\nphone.OtherFAXLabel:%@",people.FirstName,people.LastName,people.MiddleName,people.Organization,people.Department,people.JobTitle,people.Birthday,people.phone.HomeLabel,people.phone.WorkLabel,people.phone.MainLabel,people.phone.IPhoneLabel,people.phone.HomeFAXLabel,people.phone.WorkFAXLabel,people.phone.PagerLabel,people.phone.OtherFAXLabel];
        _textView.text = peopleText;
        
    }];
}

//从对象保存到系统通讯录
-(void)SaveToAddressBook
{
    PeopleModel *people = [[PeopleModel alloc]init];
    people.FirstName = @"军";
    people.LastName = @"啊";
    people.Organization = @"合肥";
    people.Department = @"研发部";
    people.JobTitle = @"iOS开发";
    people.Birthday = [NSDate dateWithTimeIntervalSince1970:0];
    people.phone.HomeLabel= @"1111111111";
    people.phone.WorkLabel= @"2222222222";
    people.phone.MobileLabel = @"31232132";
    people.phone.MainLabel= @"333";
    people.phone.IPhoneLabel= @"44444";
    people.phone.HomeFAXLabel= @"5555555";
    people.phone.WorkFAXLabel= @"6666666";
    people.phone.PagerLabel= @"7777";
    people.phone.OtherFAXLabel = @"88888888";
    
    NSString * peopleText  = [NSString stringWithFormat:@"FirstName:%@\nLastName:%@\nMiddleName:%@\nOrganization:%@\nDepartment:%@\nJobTitle:%@\nBirthday:%@\nphone.HomeLabel:%@\nphone.WorkLabel:%@\nphone.MobileLabel:%@\nphone.MainLabel:%@\nphone.IPhoneLabel:%@\nphone.HomeFAXLabel:%@\nphone.WorkFAXLabel:%@\nphone.PagerLabel:%@\nphone.OtherFAXLabel:%@",people.FirstName,people.LastName,people.MiddleName,people.Organization,people.Department,people.JobTitle,people.Birthday,people.phone.HomeLabel,people.phone.WorkLabel,people.phone.MobileLabel,people.phone.MainLabel,people.phone.IPhoneLabel,people.phone.HomeFAXLabel,people.phone.WorkFAXLabel,people.phone.PagerLabel,people.phone.OtherFAXLabel];
    _textView.text = peopleText;

    [[WLJSysAddressBookHander sharedHelper] SavePeople:people CompletHander:^(BOOL state) {
        _textView.text =  [peopleText stringByAppendingString:[NSString stringWithFormat:@"\n%@",[NSNumber numberWithBool:state]]];
    }];
    
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
